require 'fastlane/action'
require_relative '../helper/current_datetime_helper'
require 'date'
module Fastlane
  module Actions
    class CurrentDatetimeAction < Action
      def self.run(params)
        time = Time.new
#        puts "Current Time : " + time.month
#        puts time.strftime("%d%b%y-%H.%M")
        return time.strftime("%d%b%y-%H.%M")
      end

      def self.description
        "To get current date and time as string"
      end

      def self.authors
        ["Melki"]
      end

      def self.return_value
        "current date and time"
      end

      def self.details
        # Optional:
        "This plugin has created for naming folder names from current date and time based."
      end

      def self.available_options
        [
          # FastlaneCore::ConfigItem.new(key: :your_option,
          #                         env_name: "CURRENT_DATETIME_YOUR_OPTION",
          #                      description: "A description of your option",
          #                         optional: false,
          #                             type: String)
        ]
      end

      def self.is_supported?(platform)
        true
      end
    end
  end
end
